Skip to content

Sink

Post Events

Request

Writes a batch of Event objects to the Sink configured with the token used for authentication.

Operation ID: sink_post_events

Security
BearerAuth
Query
metaArray of strings

Add metadata to the response by invoking meta functions. Documentation for meta functions is available. Not all meta functions are available at every endpoint.

locationstring or null

Updates the path or queue name for the sink. If not provided, the default path or queue name is used. When provided, the path or queue name is appended to the default path or queue name.

Bodyapplication/jsonrequired

The Event object to be sent.

Array [
One of:

Account Change events report when specific user account management tasks are performed, such as a user/role being created, changed, deleted, renamed, disabled, enabled, locked out or unlocked.

]
curl
curl -i -X POST \
  https://api.synqly.com/v1/sink/events \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '[
    {
      "activity_id": 0,
      "category_uid": 0,
      "class_uid": 0,
      "metadata": {
        "product": {},
        "version": "string"
      },
      "severity_id": 0,
      "time": 0,
      "type_uid": 0,
      "user": {}
    }
  ]'

Responses

Bodyapplication/json
resultArray of objectsrequired

List of events written if available. Most providers do not return events, just a success status. Review messages for any failure details available.

messagesobject or null(MessagesResponse)

Additional messages from the service response that may be helpful to the client.

metaobject or null(MetaResponse)

Various metadata about the results organized by group, then type, then field.

Response
{ "result": [ {} ], "messages": { "problems": [ … ] }, "meta": { "stats": { … }, "api": { … }, "mapping": { … } } }